apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: rozklad
  name: backend
  labels:
    app: backend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: backend
  template:
    metadata:
      labels:
        app: backend
    spec:
      containers:
        - image: rozklad:latest
          name: backend
          env:
            - name: REDIS_HOST
              value: redis-master
          ports:
            - containerPort: 5001
              name: http
          resources:
            requests:
              cpu: 10m
              memory: 50Mi
            limits:
              cpu: 1100m
              memory: 1000Mi

      imagePullSecrets:
        - name: gitlab-registry-pull-secret
